Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.recordmapping
Class MapXmlFactoryPrefilter

    java.lang.Object
      com.servingxml.components.recordmapping.MapXmlFactoryPrefilter

All Implemented Interfaces:
  MapXmlFactory

Direct Known Subclasses:
  RecordMappingFactoryPrefilter

    public class MapXmlFactoryPrefilter

extends java.lang.Object
implements MapXmlFactory

Defines a factory interface for creating `MapXml` instances.

Constructor Summary
`MapXmlFactoryPrefilter(MapXmlFactory recordMapFactory, ParameterDescriptor[] parameterDescriptors)`

Method Summary
`void` | `addToXsltEvaluator(java.lang.String mode, XsltEvaluatorFactory recordTemplatesFactory)`
`MapXml` | `createMapXml(ServiceContext context)`
`boolean` | `isGroup()`
`boolean` | `isRecord()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapXmlFactoryPrefilter

    public MapXmlFactoryPrefilter(MapXmlFactory recordMapFactory,
                                  ParameterDescriptor[] parameterDescriptors)

Method Detail

### createMapXml

    public MapXml createMapXml(ServiceContext context)

  Specified by:
    `createMapXml` in interface `MapXmlFactory`

### addToXsltEvaluator

    public void addToXsltEvaluator(java.lang.String mode,
                                   XsltEvaluatorFactory recordTemplatesFactory)

  Specified by:
    `addToXsltEvaluator` in interface `MapXmlFactory`

### isGroup

    public boolean isGroup()

  Specified by:
    `isGroup` in interface `MapXmlFactory`

### isRecord

    public boolean isRecord()

  Specified by:
    `isRecord` in interface `MapXmlFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD